import type { _NSGestureRecognizer } from "./NSGestureRecognizer.js";
export declare class _NSMagnificationGestureRecognizer extends _NSGestureRecognizer {
    static alloc(): _NSMagnificationGestureRecognizer;
    static new(): _NSMagnificationGestureRecognizer;
    init(): _NSMagnificationGestureRecognizer;
    magnification(): number;
    setMagnification$(value: number): void;
}
